Subject: Forwarding Address in AS-External LSA of NBMA network

From: "Vijay V. Karthik" <[email-masked]>
Date: Fri, 15 Oct 2004 06:48:00 -0400

Hi,

I configured NBMA network in Area 0 with rt2 as DR and rt1 and rt3 as DR-
Other as given below.

Topology:

#          ------------------
#          |1              1|
#       +-------+       +-------+
#       | DUT   |       |       |
#       | rtr1  |-------| rtr2  |
#       +-------+2 |   2+-------+
#                  |
#                  |2      area 0
#               +------+
#               |      |1
#               | rtr3 |--------------
#               +------+
#

The configuration of the routers is as given below.

DUT#

!
interface eth1
 ip address 1.1.1.1/24
 ipv6 address fe80::204:75ff:fef0:4266/64
 ip ospf cost 10
!
interface eth2
 ip address 2.2.2.1/24
 ipv6 address fe80::203:47ff:fe96:409b/64
 ip ospf network non-broadcast
 ip ospf hello-interval 10
 ip ospf dead-interval 40
 ip ospf priority 0
!
router ospf
 ospf router-id 10.70.0.112
 redistribute static
 network 1.1.1.0/24 area 1
 network 2.2.2.0/24 area 0
 neighbor 2.2.2.2 priority 10

rtr2#
interface eth1
 ip address 1.1.1.2/24
 ipv6 address fe80::204:75ff:fef0:427a/64
 ipv6 address 5f00:1:2:10::2/64
 ip ospf cost 10
!
interface eth2
 ip address 2.2.2.2/24
 ipv6 address fe80::203:47ff:fe96:43f4/64
 ipv6 address 5f00:1:2:50::1/64
 ip ospf network non-broadcast
 ip ospf hello-interval 10
 ip ospf dead-interval 40

router ospf
 ospf router-id 10.70.0.113
 network 2.2.2.0/24 area 0
 neighbor 2.2.2.1
 neighbor 2.2.2.3
!
!

rtr3#

interface eth1
 ip address 3.3.3.1/24
 ipv6 address fe80::202:b3ff:feb3:40fe/64
 ipv6 address 5f00:1:2:60::1/64
 ip ospf cost 10
!
interface eth2
 ip address 2.2.2.3/24
 ipv6 address fe80::208:a1ff:fe16:797d/64
 ipv6 address 5f00:1:2:20::2/64
 ip ospf network non-broadcast
 ip ospf cost 10
 ip ospf hello-interval 10
 ip ospf dead-interval 40
 ip ospf priority 0

router ospf
 ospf router-id 10.70.0.114
 redistribute static
 network 2.2.2.0/24 area 0
 network 3.3.3.0/24 area 0
 neighbor 2.2.2.2 priority 10
!
ip route 100.100.100.0/24 3.3.3.10
ip route 200.200.200.0/24 eth1
!

When I try to look at the AS-External-LSA's generated by rt3 I find that
the for the statis route 100.100.100.0 the forwarding address is set to
3.3.3.10 as given below.

Looking at AS-External-LSA generated by rtr3

  AS External Link States

  LS age: 651
  Options: 0x2 (*|-|-|-|-|-|E|-)
  LS Type: AS-external-LSA
  Link State ID: 100.100.100.0 (External Network Number)
  Advertising Router: 10.70.0.114
  LS Seq Number: 80000002
  Checksum: 0x4971
  Length: 36
  Network Mask: /24
        Metric Type: 2 (Larger than any link state path)
        TOS: 0
        Metric: 20
        Forward Address: 3.3.3.10
        External Route Tag: 0

LS age: 4
  Options: 0x2 (*|-|-|-|-|-|E|-)
  LS Type: AS-external-LSA
  Link State ID: 200.200.200.0 (External Network Number)
  Advertising Router: 10.70.0.114
  LS Seq Number: 80000001
  Checksum: 0x346d
  Length: 36
  Network Mask: /24
        Metric Type: 2 (Larger than any link state path)
        TOS: 0
        Metric: 20
        Forward Address: 0.0.0.0
        External Route Tag: 0

I would like to know if the forwarding address will be set as 3.3.3.10 (as
configured in rt3 as a static route) or forwarding address should be shown
as 0.0.0.0 even if I have configured a static route.

What does the RFC have to say about this?

Pls revert back

Thanks,
Vijay